---
agentTools:
  projectIndex: https://docs.nvecta.com/llms.txt
---

# Redeem Points

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "",
    "version": "1.0.0",
    "title": "Loyalty Program Api ",
    "termsOfService": "http://swagger.io/terms/",
    "contact": {
      "email": "support@notifyvisitors.com"
    }
  },
  "tags": [
    {
      "name": "Loyalty"
    }
  ],
  "paths": {
    "/loyalty/v1/redeem/{activity id}": {
      "post": {
        "tags": [
          "Loyalty"
        ],
        "summary": "This API enables you to redeem points earned by users and reward them. It allows you to send and update data in InviteReferrals regarding the redeemed points, facilitating the redemption process on behalf of users.",
        "operationId": "redeem_point",
        "parameters": [
          {
            "in": "path",
            "name": "activity id",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "activity ID of the point activity"
          },
          {
            "in": "query",
            "name": "rwid",
            "schema": {
              "type": "string"
            },
            "required": false,
            "description": "reward ID"
          },
          {
            "name": "x-brand-id",
            "in": "header",
            "description": "Brand id of InviteReferrals account",
            "required": false,
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "x-api-key",
            "in": "header",
            "description": "Api key of InviteReferrals",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "description": "application/json",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/redeem"
              }
            }
          },
          "description": "Body Parameter",
          "required": true
        },
        "responses": {
          "200": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_200_1"
                }
              }
            }
          },
          "400": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_400_1"
                }
              }
            }
          },
          "401": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_401_1"
                }
              }
            }
          },
          "403": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_403"
                }
              }
            }
          },
          "500": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_500"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://www.ref-r.com"
    }
  ],
  "components": {
    "schemas": {
      "redeem": {
        "type": "object",
        "properties": {
          "lp_points": {
            "type": "string",
            "format": "string",
            "description": "The data representing the loyalty points that the user wishes to redeem, which will be sent via the InviteReferrals API. This indicates the amount of points the user wants to redeem"
          },
          "lp_email/lp_mobile": {
            "type": "string",
            "format": "string",
            "description": "If your primary user identifier is email id then you have to use lp_email, if your primary user identifier is mobile then you have to use lp_mobile"
          }
        }
      },
      "inline_response_403": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Require Parameters Missing",
            "description": "Require Parameters Missing"
          },
          "status_code": {
            "type": "number",
            "example": 403,
            "description": "403"
          }
        }
      },
      "inline_response_500": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Request Fail",
            "description": "Request Fail"
          },
          "status_code": {
            "type": "number",
            "example": 500,
            "description": "500"
          }
        }
      },
      "inline_response_200_1": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Success",
            "description": "Success"
          },
          "status_code": {
            "type": "number",
            "example": 200,
            "description": "200"
          }
        }
      },
      "inline_response_400_1": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Bad Request",
            "description": "Bad Request"
          },
          "status": {
            "type": "number",
            "example": 400,
            "description": "400"
          }
        }
      },
      "inline_response_401_1": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Authentication fail",
            "description": "Authentication fail"
          },
          "status": {
            "type": "number",
            "example": 401,
            "description": "401"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 103,
      "1": 217,
      "2": 115,
      "3": 83,
      "4": 228,
      "5": 35,
      "6": 3,
      "7": 0,
      "8": 60,
      "9": 53,
      "10": 199,
      "11": 250
    }
  }
}
```